Skip to main content
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
pr-comment-configs
UpdatePRCommentConfig
curl --request PATCH \
  --url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/pr-comment-configs \
  --header 'Content-Type: application/json' \
  --data '
{
  "object": {
    "meta": {
      "name": "<string>",
      "annotations": {},
      "description": "<string>",
      "index_data": {},
      "parent_kind": "<string>",
      "parent_uuid": "<string>",
      "tags": [
        "<string>"
      ]
    },
    "propagate": true,
    "spec": {
      "template": {
        "findings_summary_template": "<string>"
      },
      "platform_type": "PLATFORM_SOURCE_UNSPECIFIED"
    },
    "tenant_meta": {}
  },
  "request": {
    "force": true,
    "update_mask": "<string>"
  }
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "template": {
      "findings_summary_template": "<string>"
    },
    "platform_type": "PLATFORM_SOURCE_UNSPECIFIED"
  },
  "propagate": true,
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

object.tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

Request to update a PR comment configuration.

object
object
request
object

Message used for all update requests.

Response

A successful response.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
propagate
boolean

Whether the object should be visible in child namespaces or not.

tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of a PR comment configuration.